> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve metrics for revenue, orders, and subscriptions

> Provides statistics for revenue, orders, subscriptions, and customer counts within a given date range.

**Usage:** Use to derive insights into sales performance and customer growth over times specific periods.



## OpenAPI

````yaml get /metrics
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /metrics:
    get:
      tags:
        - Metrics
      summary: Retrieve metrics for revenue, orders, and subscriptions
      description: >-
        Provides statistics for revenue, orders, subscriptions, and customer
        counts within a given date range.


        **Usage:** Use to derive insights into sales performance and customer
        growth over times specific periods.
      parameters:
        - name: start_date
          in: query
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Metrics retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricsResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
components:
  schemas:
    MetricsResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            period:
              type: object
              properties:
                start:
                  type: string
                  format: date-time
                end:
                  type: string
                  format: date-time
            orders:
              type: object
              properties:
                count:
                  type: integer
                gross_revenue:
                  type: number
                net_revenue:
                  type: number
            subscriptions:
              type: object
              properties:
                active:
                  type: integer
                mrr:
                  type: number
                arr:
                  type: number
            customers:
              type: object
              properties:
                new_in_period:
                  type: integer

````